Name:           htop
Version:        2.0.1
Release:        1

Summary:        Interactive text-mode process viewer for Linux
License:        GPLv2+
Group:          Monitoring
Url:            http://htop.sourceforge.net/
Source0:        http://hisham.hm/htop/releases/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(ncurses)


%description
htop is an interactive process viewer for Linux, similar to top.
It requires ncurses. Tested with Linux 2.4 and 2.6.

Some advantages over top:

* you can scroll the list vertically and horizontally to see
  all processes and complete command lines
* htop starts faster than top
* you don't need to type the process number to kill a process
* you don't need to type the process number or the priority value to
  renice a process
* htop supports mouse operation

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std
# A hack to hide htop.from the menu
rm -f %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files
%doc README AUTHORS NEWS
%{_bindir}/%{name}
%{_datadir}/pixmaps/*
%{_mandir}/man1/%{name}.*

%changelog

* Sat Jun 04 2016 abondrov <andrey.bondrov@rosalab.ru> 2.0.1-1
- (b86f2d5) Merge pull request #1 from alzim/htop:rosa2014.1
- (b86f2d5) Updated to 2.0.1


